# Uses of Interface
org.springframework.http.codec.ServerCodecConfigurer.ServerDefaultCodecs

Packages that use ServerCodecConfigurer.ServerDefaultCodecs
Package
Description
org.springframework.http.codec
Provides implementations of `Encoder` and `Decoder` for web use.
org.springframework.http.codec.support
Provides implementations of `ClientCodecConfigurer` and `ServerCodecConfigurer` based on the converter implementations from `org.springframework.http.codec.json` and co.

## Uses of ServerCodecConfigurer.ServerDefaultCodecs in org.springframework.http.codec

Methods in org.springframework.http.codec that return ServerCodecConfigurer.ServerDefaultCodecs
Modifier and Type
Method
Description
`ServerCodecConfigurer.ServerDefaultCodecs`
ServerCodecConfigurer.`defaultCodecs()`
Provides a way to customize or replace HTTP message readers and writers registered by default.

## Uses of ServerCodecConfigurer.ServerDefaultCodecs in org.springframework.http.codec.support

Methods in org.springframework.http.codec.support that return ServerCodecConfigurer.ServerDefaultCodecs
Modifier and Type
Method
Description
`ServerCodecConfigurer.ServerDefaultCodecs`
DefaultServerCodecConfigurer.`defaultCodecs()`